---
updatedAt: 2025-05-15T21:03:23.000Z
agentTools:
  projectIndex: https://docs.youlend.com/llms.txt
---

# Submit payment data

Sample request:
            
    POST /api/InstantSettlementPreQual/submitpaymentdata
    {
        "MerchantId":"mid",
        "LocatorId": "locatorId",
        "MCC":"1234",
        "Sales":[{
            "Amount": 2134,
            "Date": "2020-09-01"
        }, {
            "Amount": 123,
            "Date": "2020-09-01"
        }],
        "Refunds":[{
            "Amount": 123,
            "Date": "2020-09-02"
        }],
        "Chargebacks":[]
    }

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "YouLend Third Party Instant Settlement API",
    "description": "Through this API you can can create Instant Settlement transactions with YouLend",
    "contact": {
      "name": "Mark Ufland",
      "email": "mark.ufland@youlend.com"
    },
    "version": "v1.0"
  },
  "servers": [
    {
      "url": "https://partners.staging-youlendapi.com/instantsettlement"
    }
  ],
  "paths": {
    "/api/InstantSettlementPreQual/submitpaymentdata": {
      "post": {
        "tags": [
          "InstantSettlementPreQual"
        ],
        "summary": "Submit payment data",
        "description": "Sample request:\r\n            \r\n    POST /api/InstantSettlementPreQual/submitpaymentdata\r\n    {\r\n        \"MerchantId\":\"mid\",\r\n        \"LocatorId\": \"locatorId\",\r\n        \"MCC\":\"1234\",\r\n        \"Sales\":[{\r\n            \"Amount\": 2134,\r\n            \"Date\": \"2020-09-01\"\r\n        }, {\r\n            \"Amount\": 123,\r\n            \"Date\": \"2020-09-01\"\r\n        }],\r\n        \"Refunds\":[{\r\n            \"Amount\": 123,\r\n            \"Date\": \"2020-09-02\"\r\n        }],\r\n        \"Chargebacks\":[]\r\n    }",
        "parameters": [
          {
            "name": "api-version",
            "in": "header",
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "description": "The YL.Web.Api.ThirdParty.Loan.InstantSettlement.Models.SubmitPaymentDataModel",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/SubmitPaymentDataModel"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successfully submitted payment data"
          },
          "400": {
            "description": "Something went wrong!"
          },
          "401": {
            "description": "Unauthorized request"
          },
          "422": {
            "description": "SubmitPaymentDataModel from request body failed validation"
          },
          "500": {
            "description": "Servers are unavailable"
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "SalesDetails": {
        "type": "object",
        "properties": {
          "count": {
            "type": "integer",
            "format": "int32"
          },
          "date": {
            "type": "string",
            "format": "date-time"
          }
        },
        "additionalProperties": false
      },
      "SubmitPaymentDataModel": {
        "required": [
          "locatorId",
          "mcc",
          "merchantId"
        ],
        "type": "object",
        "properties": {
          "merchantId": {
            "minLength": 1,
            "pattern": "^[a-zA-Z0-9]*$",
            "type": "string",
            "description": "Gets or sets MerchantId"
          },
          "locatorId": {
            "minLength": 1,
            "pattern": "^[a-zA-Z0-9]*$",
            "type": "string",
            "description": "Gets or sets LocatorId"
          },
          "mcc": {
            "minLength": 1,
            "type": "string",
            "description": "Gets or sets MCC"
          },
          "sales": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Transaction"
            },
            "description": "Gets or sets Sales",
            "nullable": true
          },
          "refunds": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Transaction"
            },
            "description": "Gets or sets Refunds",
            "nullable": true
          },
          "chargebacks": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Transaction"
            },
            "description": "Gets or sets Chargebacks",
            "nullable": true
          },
          "salesDetails": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/SalesDetails"
            },
            "description": "Gets or sets SalesDetails",
            "nullable": true
          }
        },
        "additionalProperties": false,
        "description": "Model for submitting payment data"
      },
      "Transaction": {
        "type": "object",
        "properties": {
          "amount": {
            "type": "number",
            "format": "double"
          },
          "date": {
            "type": "string",
            "format": "date-time"
          }
        },
        "additionalProperties": false
      }
    },
    "securitySchemes": {
      "oauth2": {
        "type": "oauth2",
        "flows": {
          "clientCredentials": {
            "tokenUrl": "https://youlend-stag.eu.auth0.com/oauth/token",
            "scopes": {}
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```